be.ehealth.businessconnector.chapterIV.utils

## Class ChapterIVJaxbUtils

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.utils.ChapterIVJaxbUtils

- Deprecated.
  will be removed in version 3.3 , use MarshallerHelper folderTypeMarshaller = new MarshallerHelper(X.class,X.class) instead

      @Deprecated
      public final class ChapterIVJaxbUtils
      extends Object

  utility methods to parse ChapterIV xml Strings.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `marshal(Object obj)` Deprecated. use marshallerHelper.toString instead
    `static FolderType` | `parseFolderType(InputStream folderTypeXmlInputStream)` Deprecated. use marshallerHelper.toObject instead
    `static Kmehrresponse` | `parseKmehrResponse(byte[] bytes)` Deprecated. use marshallerHelper.toObject instead

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parseFolderType

          @Deprecated
          public static FolderType parseFolderType(InputStream folderTypeXmlInputStream)
                                                         throws TechnicalConnectorException

      Deprecated. use marshallerHelper.toObject instead
      Parameters:
        `folderTypeXmlInputStream` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### parseKmehrResponse

          @Deprecated
          public static Kmehrresponse parseKmehrResponse(byte[] bytes)
                                                               throws TechnicalConnectorException

      Deprecated. use marshallerHelper.toObject instead
      Parameters:
        `bytes` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### marshal

          @Deprecated
          public static String marshal(Object obj)

      Deprecated. use marshallerHelper.toString instead
      Parameters:
        `obj` -

Connector Packaging PERSPHYSICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.